Skip to content

Örnek İstek & Yanıt ​

Non-Secure Sale (Satış) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Payment/Sale

İstek Gövdesi (Request Body) ​

http
POST /api/Payment/Sale
Headers:
  x_client_token: your_client_token_here
  x_nonce: a31f1cca-ac00-4981-8526-ee02a0c8bbbc
  x_timestamp: 20251230150815
  x_signature: generated_signature_hash
  Content-Type: application/json

{
  "orderId": "88dbc9d0-59db-4afb-910b-bbaaafe59451",
  "cardNo": "{creditCardPattern_1}",
  "expiry": 2509,
  "cvv2": "182",
  "amount": 5789,
  "currency": 949,
  "installmentCount": 1,
  "pointAmount": 1200,
  "ecommerceTxnType": 0,
  "txnInitiationType": 0,
  "cardHolderIp": "{publicIPPattern_1}",
  "merchantIp": "{publicIPPattern_2}",
  "subMerchantIp": "{publicIPPattern_3}",
  "lang": "TR",
  "additionalInfo": "no: 123456789",
  "invoiceInfo": "test adres bilgileri mah test sok no:1/A İSTANBUL"
}

Başarılı Yanıt (HTTP 200) ​

json
{
  "state": 1,
  "result": {
    "processId": "812b95df-da74-4a80-822e-0744ea4cf0cc",
    "orderId": "88dbc9d0-59db-4afb-910b-bbaaafe59451",
    "resultMessage": "Onaylandı.",
    "resultCode": "",
    "procReturnCode": "00",
    "authCode": "014362",
    "secureType": "Non-3DS",
    "txnType": "Sale",
    "cardMask": "54308100oddkbn70",
    "amount": 5789,
    "pointAmount": 0,
    "pointCode": null,
    "pointMultiplier": 0,
    "availablePointAmount": 0,
    "installmentCount": 1,
    "installmentIndex": 0,
    "merchantId": "000000001002585",
    "terminalId": "VP003641",
    "batchNo": 55142,
    "processDate": "2025-12-30T15:08:15.8673803+03:00",
    "rrn": "536418006553",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test adres bilgileri mah test sok no:1/A İSTANBUL",
    "ecommerceTxnType": 0,
    "txnInitiationType": 0
  }
}